#pragma once
#include "DllBase.h"


class BASE_API CModuleInfo
{
private:
	HINSTANCE       m_hInst;
	CString         m_strFilePath;
	CString         m_strDirPath;
	WIN32_FIND_DATA m_stFileInfo;

public:
	CModuleInfo() throw();
	virtual ~CModuleInfo() throw();

public:
	BOOL IsSet(void) const throw();
	HINSTANCE GetModuleHandle(void) const throw();
	BOOL GetFilePath(CString&) const throw();
	BOOL GetDirPath(CString&) const throw();
	BOOL GetFileInfo(WIN32_FIND_DATA&) const throw();
	BOOL Set(HINSTANCE) throw();

public:
	static BOOL GetFilePath(HINSTANCE, CString&) throw();
	static BOOL GetDirPath(HINSTANCE, CString&) throw();
	static BOOL GetFileInfo(HINSTANCE, WIN32_FIND_DATA&) throw();
};
