#pragma once
#include "stdafx.h"
#include "resource.h"
#include "Pref.h"

class CPrefDialog :
	public CDialogImpl<CPrefDialog>
{
private:
	CPref m_pref;

public:
	enum { IDD = IDD_DIALOGPREF };

	BEGIN_MSG_MAP(CAboutDialog)
		MESSAGE_HANDLER(WM_INITDIALOG, OnInitDialog)
		COMMAND_HANDLER(IDC_EDITIURL, EN_CHANGE, OnEditIUrlChange)
		COMMAND_ID_HANDLER(IDOK, OnOK)
		COMMAND_ID_HANDLER(IDCANCEL, OnCancel)
	END_MSG_MAP()

	CPrefDialog();
	virtual ~CPrefDialog();
	BOOL SetPref(const CPref*);
	BOOL GetPref(CPref&);

public:
	LRESULT OnInitDialog(UINT, WPARAM, LPARAM, BOOL&);
	LRESULT OnEditIUrlChange(WORD, WORD, HWND, BOOL&);
	LRESULT OnOK(WORD, WORD, HWND, BOOL&);
	LRESULT OnCancel(WORD, WORD, HWND, BOOL&);
};
