// YSGToolbarBHO.h : CYSGToolbarBHO ̐錾

#pragma once
#include "resource.h"       // C V{

#include "YSGToolbar_i.h"
#include "ControlWnd.h"


#if defined(_WIN32_WCE) && !defined(_CE_DCOM) && !defined(_CE_ALLOW_SINGLE_THREADED_OBJECTS_IN_MTA)
#error "DCOM ̊ST|[g܂łȂ Windows Mobile vbgtH[̂悤 Windows CE vbgtH[ł́APXbh COM IuWFNg͐T|[gĂ܂BATL PXbh COM IuWFNg̍쐬T|[g邱ƁAт̒PXbh COM IuWFNg̎̎gp邱Ƃɂ́A_CE_ALLOW_SINGLE_THREADED_OBJECTS_IN_MTA `ĂBgp rgs t@C̃Xbh f 'Free' ɐݒ肳ĂADCOM Windows CE ȊÕvbgtH[ŃT|[gB̃Xbh fƐݒ肳Ă܂B"
#endif



// CYSGToolbarBHO

class ATL_NO_VTABLE CYSGToolbarBHO :
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CYSGToolbarBHO, &CLSID_YSGToolbarBHO>,
    public IDeskBand,
 	public IObjectWithSiteImpl<CYSGToolbarBHO>,
	public IDispatchImpl<IYSGToolbarBHO, &IID_IYSGToolbarBHO, &LIBID_YSGToolbarLib, /*wMajor =*/ 1, /*wMinor =*/ 0>,
	public IDispEventImpl<1, CYSGToolbarBHO, &DIID_DWebBrowserEvents2, &LIBID_SHDocVw, 1, 1>,
	public IInputObject
{
private:
	HMODULE                   m_hResource;
	HMODULE                   m_hOldResource;
    CComPtr<IWebBrowser2>     m_spWebBrowser;
	CComPtr<IInputObjectSite> m_spInpObjSite;
	CControlWnd               m_wndControl;
	LONG                      m_lWndHeight;


public:
	CYSGToolbarBHO()
	{
		this->m_hResource    = NULL;
		this->m_hOldResource = NULL;
		this->m_lWndHeight   = 0;

		// c[o[tH[JXݒ̂߂̃C^tF[XĂԂ߁A
		// c[o[NXBHONXւ̃|C^ێ
		this->m_wndControl.m_wndToolbar.m_pBHO = this;
	}

	DECLARE_REGISTRY_RESOURCEID(IDR_YSGTOOLBARBHO)

	DECLARE_NOT_AGGREGATABLE(CYSGToolbarBHO)

	BEGIN_COM_MAP(CYSGToolbarBHO)
		COM_INTERFACE_ENTRY(IYSGToolbarBHO)
		COM_INTERFACE_ENTRY(IDispatch)
		COM_INTERFACE_ENTRY(IObjectWithSite)
		COM_INTERFACE_ENTRY(IDeskBand)
		COM_INTERFACE_ENTRY2(IOleWindow, IDeskBand)
		COM_INTERFACE_ENTRY2(IDockingWindow, IDeskBand)
		COM_INTERFACE_ENTRY(IInputObject)
	END_COM_MAP()

	BEGIN_SINK_MAP(CYSGToolbarBHO)
		SINK_ENTRY_EX(1, DIID_DWebBrowserEvents2, DISPID_DOCUMENTCOMPLETE, OnDocumentComplete)
	END_SINK_MAP()

	DECLARE_PROTECT_FINAL_CONSTRUCT()

	HRESULT FinalConstruct()
	{
		return S_OK;
	}

	void FinalRelease()
	{
	}

private:
	BOOL CreateResourcePath(CString&);
	BOOL CreateToolWindow(HWND);
	BOOL CheckFocusEditControl(void);
	void FocusNextControl(void);
	void LoginControl(void);
	BOOL parseDocument(IDispatch*, CString&);

public:
	void HaveFocus(BOOL);
	BOOL GetWebBrowser(CComPtr<IWebBrowser2>&);

public:
	// IDispEventImpl
	STDMETHOD(OnDocumentComplete)(IDispatch*, VARIANT*);

public:
	// IObjectWithSite
	STDMETHOD (SetSite)(IUnknown*);

public:
	// IDeskBand methods
	STDMETHOD (GetBandInfo)(DWORD, DWORD, DESKBANDINFO*);

public:
	// IOleWindow methods
	STDMETHOD (GetWindow)(HWND*);
	STDMETHOD (ContextSensitiveHelp)(BOOL);

public:
	// IDockingWindow methods
	STDMETHOD (ShowDW)(BOOL);
	STDMETHOD (CloseDW)(DWORD);
	STDMETHOD (ResizeBorderDW)(LPCRECT, IUnknown*, BOOL);

public:
	// IInputObject
	STDMETHOD (HasFocusIO)(void);
	STDMETHOD (TranslateAcceleratorIO)(LPMSG);
	STDMETHOD (UIActivateIO)(BOOL, LPMSG);
};

OBJECT_ENTRY_AUTO(__uuidof(YSGToolbarBHO), CYSGToolbarBHO)
